Bug 225049 - databases/postgresql10-server: ICU never used
Summary: databases/postgresql10-server: ICU never used
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: pgsql
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-10 12:43 UTC by Mathieu Arnold
Modified: 2018-02-26 10:00 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (pgsql)


Attachments
v1 (1.04 KB, patch)
2018-01-10 12:43 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2018-01-10 12:43:26 UTC
Created attachment 189588 [details]
v1
Comment 1 commit-hook freebsd_committer 2018-01-30 13:46:05 UTC
A commit references this bug:

Author: mat
Date: Tue Jan 30 13:45:50 UTC 2018
New revision: 460386
URL: https://svnweb.freebsd.org/changeset/ports/460386

Log:
  Fix ICU depend for postgresql10-server.

  PR:		225049
  Submitted by:	mat
  Approved by:	maintainer timeout
  Sponsored by:	Absolight

Changes:
  head/databases/postgresql10-server/Makefile
  head/databases/postgresql92-server/Makefile
Comment 2 commit-hook freebsd_committer 2018-02-26 10:00:55 UTC
A commit references this bug:

Author: girgen
Date: Mon Feb 26 10:00:37 UTC 2018
New revision: 463010
URL: https://svnweb.freebsd.org/changeset/ports/463010

Log:
  MFH: r458764 r460386 r461251 r461263

  Convert to USES=autoreconf.

  Fix ICU depend for postgresql10-server.

  PR:		225049
  Submitted by:	mat
  Approved by:	maintainer timeout
  Sponsored by:	Absolight

  Update to latest versions of PostgreSQL

  2018-02-08 Security Update Release
  ==================================

  The PostgreSQL Global Development Group has released an update to all supported
  versions of our database system, including 10.2, 9.6.7, 9.5.11, 9.4.16, 9.3.21.
  This release fixes two security issues. This release also fixes issues with
  VACUUM, GIN indexes, and hash indexes that could lead to data corruption, as
  well as fixes for using parallel queries and logical replication.

  All users using the affected versions of PostgreSQL should update as soon as
  possible. Please see the notes on "Updating" below for any post-update steps
  that may be required.

  Please note that PostgreSQL changed its versioning scheme with the release of
  version 10.0, so updating to version 10.2 from 10.0 or 10.1 is considered a
  minor update.

  Security Issues
  ---------------

  Two security vulnerabilities have been fixed by this release:

  * CVE-2018-1052: Fix the processing of partition keys containing multiple
  expressions
  * CVE-2018-1053: Ensure that all temporary files made with "pg_upgrade" are
  non-world-readable

  Local fixes to the FreeBSD ports
  --------------------------------

  Inform users about data checksums [1].
  Make sure /usr/bin/su is used regardless of PATH settings [2].
  Enable DTRACE by default [3].

  PR:		214671 [1], 223157 [2], 215028 [3]
  Security:	c602c791-0cf4-11e8-a2ec-6cc21735f730

  Remove DTRACE from OPTIONS_DEFAULT, causes segmentation fault during build

  Approved by:	portmgr

Changes:
_U  branches/2018Q1/
  branches/2018Q1/databases/postgresql10-server/Makefile
  branches/2018Q1/databases/postgresql10-server/distinfo
  branches/2018Q1/databases/postgresql10-server/files/pkg-message-server.in
  branches/2018Q1/databases/postgresql10-server/files/postgresql.in
  branches/2018Q1/databases/postgresql10-server/pkg-plist-client
  branches/2018Q1/databases/postgresql10-server/pkg-plist-server
  branches/2018Q1/databases/postgresql92-client/Makefile
  branches/2018Q1/databases/postgresql92-contrib/Makefile
  branches/2018Q1/databases/postgresql92-server/Makefile
  branches/2018Q1/databases/postgresql92-server/files/pkg-message-server.in
  branches/2018Q1/databases/postgresql92-server/files/postgresql.in
  branches/2018Q1/databases/postgresql93-server/Makefile
  branches/2018Q1/databases/postgresql93-server/distinfo
  branches/2018Q1/databases/postgresql93-server/files/pkg-message-server.in
  branches/2018Q1/databases/postgresql93-server/files/postgresql.in
  branches/2018Q1/databases/postgresql93-server/pkg-plist-server
  branches/2018Q1/databases/postgresql94-server/Makefile
  branches/2018Q1/databases/postgresql94-server/distinfo
  branches/2018Q1/databases/postgresql94-server/files/pkg-message-server.in
  branches/2018Q1/databases/postgresql94-server/files/postgresql.in
  branches/2018Q1/databases/postgresql94-server/pkg-plist-server
  branches/2018Q1/databases/postgresql95-server/Makefile
  branches/2018Q1/databases/postgresql95-server/distinfo
  branches/2018Q1/databases/postgresql95-server/files/pkg-message-server.in
  branches/2018Q1/databases/postgresql95-server/files/postgresql.in
  branches/2018Q1/databases/postgresql95-server/pkg-plist-server
  branches/2018Q1/databases/postgresql96-server/Makefile
  branches/2018Q1/databases/postgresql96-server/distinfo
  branches/2018Q1/databases/postgresql96-server/files/pkg-message-server.in
  branches/2018Q1/databases/postgresql96-server/files/postgresql.in
  branches/2018Q1/databases/postgresql96-server/pkg-plist-server